# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project mostly adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [2.0.1] - 2019-05-23

### Fixed
- Fixed an error when using keywords for colors such as `inherit` or `currentColor`

## [2.0.0] - 2019-05-17

### Added since 2.0.0-beta.2
- Added radial gradient utilities (see `README` for more info)

### Changed since 2.0.0-beta.2
- Renamed the `gradients` theme and variants keys to `linearGradients`
- Added support for global variants thanks to Tailwind’s `variants()` helper function

### Added since 1.x
- Tailwind 1.0.0 compatibility

### Changed since 1.x
- The plugin doesn’t accept a config object anymore; instead it finds what it needs in the `theme` and `variants` keys of your config (see `README` for more info)
- Responsive variants are now generated by default

### Fixed since 1.x
- Single-color gradients now generate a transparent `rgba()` version of the color instead of using the `transparent` keyword, which is interpreted as `rgba(0, 0, 0, 0)` (transparent black) by Safari and the CSS spec

## [2.0.0-beta.2] - 2019-04-04

### Fixed
- Single-color gradients now generate a transparent `rgba()` version of the color instead of using the `transparent` keyword, which is interpreted as `rgba(0, 0, 0, 0)` (transparent black) by Safari and the CSS spec

## [2.0.0-beta.1] - 2019-04-04

### Added
- Tailwind 1.0.0 compatibility

### Changed
- The plugin doesn’t accept a config object anymore; instead it finds what it needs in the `theme` and `variants` keys of your config (see `README` for more info)
- Responsive variants are now generated by default

## [1.1.0] - 2018-11-05

### Added
- Added `directions` option (defaults to all sides and corners)
- Added proper tests with Jest

### Changed
- The classes that are generated by default are now shorter (`bg-gradient-t-[color]` instead of `bg-gradient-to-top-[color]`, etc.) but can be customized with the `directions` option

## [1.0.1] - 2018-08-14

### Fixed
- Fixed escaping in selectors generated by the plugin

## [1.0.0] - 2018-08-13

Initial release

[Unreleased]: https://github.com/benface/tailwindcss-gradients/compare/v2.0.1...HEAD
[2.0.1]: https://github.com/benface/tailwindcss-gradients/compare/v2.0.0...v2.0.1
[2.0.0]: https://github.com/benface/tailwindcss-gradients/compare/v2.0.0-beta.2...v2.0.0
[2.0.0-beta.2]: https://github.com/benface/tailwindcss-gradients/compare/v2.0.0-beta.1...v2.0.0-beta.2
[2.0.0-beta.1]: https://github.com/benface/tailwindcss-gradients/compare/v1.1.0...v2.0.0-beta.1
[1.1.0]: https://github.com/benface/tailwindcss-gradients/compare/v1.0.1...v1.1.0
[1.0.1]: https://github.com/benface/tailwindcss-gradients/compare/v1.0.0...v1.0.1
[1.0.0]: https://github.com/benface/tailwindcss-gradients/releases/tag/v1.0.0
